
Redmine - Defect #11325

Unified diff link broken on specific file/revision diff view

2012-07-04 20:42 - Etienne Massip

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.3

Description

Clicking on the "Unified diff" linkt at the bottom of a diff page of a specific file for a specific revision doesn't work anymore.

For a SVN revision, it simply produces a 404 error page.

The unified diff link is badly formatted; instead of adding a format query parameter, it seems that 

source:/tags/2.0.3/lib/redmine/views/other_formats_builder.rb#L26 format value is now appended at the end of the URI like a file

extension.

Associated revisions

Revision 9909 - 2012-07-04 21:17 - Jean-Philippe Lang

Fixed: unified diff link broken on specific file/revision diff (#11325).

History

#1 - 2012-07-04 21:18 - Jean-Philippe Lang

- Subject changed from Unified diff returns a HTML 404 error page to Unified diff link broken on specific file/revision diff view

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed in r9909.

#2 - 2012-07-04 21:18 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.0.4

#3 - 2012-07-08 14:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#4 - 2019-02-20 11:43 - Anthony Mallet

Hi,

This seems broken again with 4.0.1 :)

#5 - 2019-02-20 11:51 - Go MAEDA

Anthony Mallet wrote:

This seems broken again with 4.0.1 :)

 Please open a new issue and describe the details. Since this issue is closed and the fix was already released, we cannot discuss here.
